Is it possible to use vue3(vue_next) in intellij (or webstorm)?

I'm a c++ developer, but I've come to do front-end development.

I'm starting a project this time, does intellij support vue3?

If so, I wonder how to do it.

It seems to use version 2.6.11 by default in package.json.

thanks.

I used a translator because my English is wrong. Please understand

7 comments
Comment actions Permalink

Yes, it's possible

The IDE uses Vue CLI to create a project; the default setup is a result of running npx --package @vue/cli vue create --default. If you'd like to create a Vue 3 app, please make sure to uncheck the Use the default project setup checkbox in the New Project dialog - you will be prompted in the Run tool window to choose the desired options, including the Vue.js version

0
Comment actions Permalink

I tried this but IntelliJ 2001.3 is not working with Vue 3.2.29 very well? Has anyone figured this out? Below the context doesn't work in a .js file.

Vue.createApp({data(){}}).mount('#myApp');
0
Comment actions Permalink

Please could you elaborate on this? What doesn't work namely?

0
Comment actions Permalink

I can run the app and it works but there seems to be an issue with context? The package JSON is also provided for your review.

0
Comment actions Permalink

Hmm... The global Vue object is normally only available when using CDN builds. And you are using Vue cli, aren't you? In this case, you need importing modules, like

import { createApp } from 'vue'


createApp({...}).mount('#app')
0
Comment actions Permalink

I'm using the CDN?

 

0

Please sign in to leave a comment.